com.holonplatform.auth.keys

## Enum KeyEncoding

- java.lang.Object
- - java.lang.Enum<KeyEncoding>
  - - com.holonplatform.auth.keys.KeyEncoding

- All Implemented Interfaces:
    Serializable, Comparable<KeyEncoding>

      public enum KeyEncoding
      extends Enum<KeyEncoding>

  Enumeration of security keys encodings.
  Since:
    5.1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASE64` Encoded using Base64
    `NONE` Not encoded
    `PEM` Encoded using PEM format

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeyEncoding` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static KeyEncoding[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final KeyEncoding NONE

      Not encoded

    - #### BASE64

          public static final KeyEncoding BASE64

      Encoded using Base64

    - #### PEM

          public static final KeyEncoding PEM

      Encoded using PEM format

  - ### Method Detail

    - #### values

          public static KeyEncoding[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeyEncoding c : KeyEncoding.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeyEncoding valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Holon Platform. All rights reserved.